<?php
function days()
{
    $data = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
    return $data;
}
function status()
{
    $data = ['Resheduled', 'Failed', 'Missed', 'Awaiting', 'Confirm',  'Rejected',  'Cancel', 'Join', 'No Participants', 'Awaiting Participant', 'In Progress', 'Missed',  'Completed'];
    return $data;
}
function statusColor($status)
{
    if ($status == 'Awaiting') {
        $color = '#ffbc34';
    } else if ($status == 'Failed') {
        $color = '#c0223e';
    } else if ($status == 'Confirm') {
        $color = '#009efb';
    } else if ($status == 'Cancel') {
        $color = '#e7c27e';
    } else if ($status == 'Completed') {
        $color = '#55ce63';
    } else if ($status == 'Resheduled') {
        $color = '#009efb';
    } else if ($status == 'Rejected') {
        $color = '#6c757d';
    } else if ($status == 'Join') {
        $color = '#facc06';
    } else if ($status == 'In Progress') {
        $color = '#22a531';
    } else if ($status == 'Missed') {
        $color = '#bdb7b8';
    } else if ($status == 'Awaiting Participant') {
        $color = '#e78d9e';
    } else if ($status == 'No Participants') {
        $color = '#00d3c7';
    }


    return $color;
}
function slots($startTime, $breakTime, $endTime)
{
    $slots = [];

    if ($startTime > $endTime) {
        $endTime = Carbon\Carbon::createFromFormat('H:i', $endTime)->addDay();
    }
    $period = new Carbon\CarbonPeriod($startTime, $breakTime, $endTime); // for create use 24 hours format later change format 

    foreach ($period as $item) {
        array_push($slots, $item->format("h:i A"));
    }
    return $slots;
}

function completedPackagesessions($package_id, $therapist_id, $user_id)
{
    $c = App\Models\Appointments::select(Illuminate\Support\Facades\DB::raw('count(*) as total'))
        ->where('therapist_id', $therapist_id)
        ->where('package_id', $package_id)
        ->where('user_id', $user_id)
        ->where('Appointment_Status', 'Completed')
        ->groupBy('package_id')
        ->get();

    return count($c);
}

function sendpushnotification($data)
{
    $dataString = json_encode($data);
    // $SERVER_API_KEY = env('FCM_SERVER_KEY');
    $SERVER_API_KEY = 'AAAAXFfBJPk:APA91bH1RRkOHtOLZlbJLy1vhVKuDhZOKFAXsenRMlgg0pz3oEBjrBMPzHX6AHaa8absDJd_FPy58dr0E8bQrDNlxV5S7mpjJIneYolTAyL6DYpIHOtyYV6z-Ex9wpZnwRVba05aJIT5';

    $headers = [
        'Authorization: key=' . $SERVER_API_KEY,
        'Content-Type: application/json',
    ];

    $ch = curl_init();

    curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
    // Disabling SSL Certificate support temporarly
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $dataString);
    // Execute post
    $result = curl_exec($ch);

    // Close connection
    curl_close($ch);
    return true;
}
