@extends('admin.layout.dashboard-template')
@section('content')
<div class="page-wrapper">
    <div class="content">
        <!-- 
        <div class="page-header">
            <div class="row">
                <div class="col-sm-12">
                    <ul class="breadcrumb">                  
                        <li class="breadcrumb-item active">Appoinments</li>
                    </ul>
                </div>
            </div>
        </div> -->

        <div class="row">
            <div class="col-sm-12">
                <div class="card card-table show-entire">
                    <div class="card-body">

                        <div class="page-table-header mb-2">
                            <div class="row align-items-center">
                                <div class="col">
                                    <div class="doctor-table-blk">
                                        <h3>Appoinments</h3>
                                        <div class="doctor-search-blk">

                                            <div class="add-group">
                                                <a href="{{route('admin.add-appoinment')}}" class="btn btn-primary add-pluss ms-2"><img src="assets/img/icons/plus.svg" alt></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class=" row  p-2">

                            <div class="col-12 col-md-6 col-xl-2">
                                <div class="form-group local-forms">
                                    <label>Payment From </label>
                                    <input class="form-control" type="date" required name="from" placeholder>
                                </div>
                            </div>
                            <div class="col-12 col-md-6 col-xl-2">
                                <div class="form-group local-forms">
                                    <label>Payment To</label>
                                    <input class="form-control" type="date" required name="to" placeholder>
                                </div>
                            </div>
                            <div class="col-12 col-md-6 col-xl-3">
                                <div class="form-group local-forms">
                                    <label>Provider </label>
                                    <select class="form-control therapist" name="therapist">
                                        <option value="">--Select Therapist--</option>
                                        @foreach(App\Models\Therapist::get() as $item)
                                        <option value="{{$item->id}}">{{$item->prefix}}.{{$item->full_name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-12 col-md-6 col-xl-3">
                                <div class="form-group local-forms">
                                    <label>Status</label>
                                    <select class="form-control therapist" name="status">
                                        <option value="">--Select Status--</option>
                                        @foreach(status() as $k=>$item)
                                        <option value="{{$item}}">{{$item}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="col-12 col-md-6 col-xl-2">
                                <div class="form-group local-forms">
                                    <!-- <button class="btn btn-success submit-form ">Filter</button> -->
                                    <button class="btn btn-success filter" style="width:100%;">Filter</button>
                                </div>
                            </div>

                        </div>
                        <div class="table-responsive">
                            <table class="table border-0 custom-table comman-table mb-0" id="therapist_table">
                                <thead>
                                    <tr>
                                        <th>slno</th>
                                        <th width="10px">
                                            Session ID
                                        </th>
                                        <th>#</th>
                                        <th>ACTION</th>
                                        <th>Client Name</th>
                                        <th>Therapist</th>
                                        <th>Appoinment <br>Date & Time</th>
                                        <th>Payment ID</th>
                                        <th>Status</th>
                                        <th>Fee</th>
                                        <th>Call <br>Type</th>
                                        <th>Context</th>
                                        <th>Service</th>
                                    </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="delete_patient" class="modal fade delete-modal" role="dialog">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body text-center">
                    <img src="assets/img/sent.png" alt width="50" height="46">
                    <h3>Are you sure want to delete this ?</h3>
                    <div class="m-t-20"> <a href="#" class="btn btn-white" data-bs-dismiss="modal">Close</a>
                        <button type="submit" class="btn btn-danger" id="delete_item">Delete</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $(function() {
            var table = $('#therapist_table').DataTable({
                processing: true,
                serverSide: true,
                dom: "<'row'<'col-sm-4'l><'col-sm-4'f><'col-sm-4'B>>" +
                    "<'row'<'col-sm-12'tr>>" +
                    "<'row'<'col-sm-5'i><'col-sm-7'p>>",
                "order": [
                    [0, "desc"]
                ],
                ajax: {
                    url: "{{ route('admin.get-appoinments') }}",
                    data: function(d) {
                        d.from = $('input[name="from"]').val();
                        d.to = $('input[name="to"]').val();
                        d.therapist = $('select[name="therapist"]').val();
                        d.status = $('select[name="status"]').val();
                    }
                },
                // ajax: "{{ route('admin.get-appoinments') }}",
                columns: [{
                        data: 'slno',
                        name: 'slno',
                        visible: false
                    }, {
                        data: 'session_id',
                        name: 'session_id',
                        visible: false
                    },
                    {
                        data: 'DT_RowIndex',
                        name: 'DT_RowIndex'
                    },
                    {
                        data: 'action',
                        name: 'action',
                        orderable: false,
                        searchable: false
                    },
                    {
                        data: 'username',
                        name: 'username'
                    },
                    {
                        data: 'therapist',
                        name: 'therapist'
                    },
                    {
                        data: 'date_and_time',
                        name: 'date_and_time'
                    },
                    {
                        data: 'payment_id',
                        name: 'payment_id'
                    },
                    {
                        data: 'status',
                        name: 'status'
                    },
                    {
                        data: 'fee',
                        name: 'fee'
                    },
                    {
                        data: 'communication_type',
                        name: 'communication_type'
                    },
                    {
                        data: 'context',
                        name: 'context'
                    },
                    {
                        data: 'service',
                        name: 'service'
                    },



                ],
                "select": {
                    'style': 'multi',
                    'selector': 'td:first-child' //only checkbox can select row
                },
                buttons: [{
                        extend: 'copyHtml5',
                        footer: true
                    },
                    {
                        extend: 'excelHtml5',
                        footer: true
                    },
                    {
                        extend: 'excelHtml5',
                        footer: true
                    },
                    {
                        extend: 'csvHtml5',
                        footer: true
                    },
                    {
                        extend: 'pdfHtml5',
                        footer: true
                    },
                    {
                        extend: 'print',
                        footer: true
                    }
                ]
            });
            $(".filter").click(function() {

                table.draw();
            });
        });

        var deleteID;
        $('body').on('click', '#getDeleteId', function() {
            deleteID = $(this).data('id');
        })
        $(document).on('click', '#delete_item', function(e) {
            var id = deleteID;
            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('admin.delete-appoinment') }}",
                method: "GET",
                data: {
                    'id': id
                },
                success: function(result) {
                    $('#delete_patient').modal('hide');
                    $('.table').DataTable().ajax.reload();
                    if (result == 1) {
                        toastr.success("Appoinment Deleted Successfully.");
                    } else {
                        toastr.error("Something went wrong.");
                    }

                    $('.data-table').DataTable().ajax.reload();

                }
            });

        });

        $(document).on('click', '#status', function(e) {
            var id = $(this).data('id');
            var status = $(this).data('value');
            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('admin.change-therapist-status') }}",
                method: "GET",
                data: {
                    'id': id,
                    'status': status
                },
                success: function(result) {
                    $('#delete_patient').modal('hide');
                    $('.table').DataTable().ajax.reload();
                    if (result == 1) {
                        toastr.success("Status Changed Successfully.");
                    } else {
                        toastr.error("Something went wrong.");
                    }

                    $('.data-table').DataTable().ajax.reload();

                }
            });

        });
    </script>
    @endsection