@extends('admin.layout.dashboard-template')
@section('content')

<style>
    .slot_row {
        display: none;
    }

    .add_slot {
        float: right;
    }
</style>
<div class="page-wrapper">
    <div class="content">

        <div class="page-header">
            <div class="row">
                <div class="col-sm-12">
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">Home</a></li>
                        <li class="breadcrumb-item"><i class="feather-chevron-right"></i></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.slots')}}">Slots</a></li>
                        <li class="breadcrumb-item"><i class="feather-chevron-right"></i></li>
                        <li class="breadcrumb-item active">Edit Slot</li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-body">
                        <!-- <form method="post" action=" {{ route('admin.update-slot') }}"> -->
                        <form id="addSlot" action=" {{ route('admin.update-slot') }}">
                            @csrf
                            <div class="row">
                                <div class="col-12">
                                    <div class="page-table-header mb-5">
                                        <div class="row align-items-center">
                                            <div class="col">
                                                <div class="doctor-table-blk">
                                                    <h3>Add Slot</h3>
                                                </div>
                                            </div>

                                        </div>
                                    </div>

                                </div>
                                <div class="col-12 col-md-4 col-xl-4">
                                    <div class="form-group local-forms">
                                        <label>Provider <span class="login-danger">*</span></label>
                                        <select class="form-control select" name="provider" id="provider">
                                            <option>--Select Provider--</option>
                                            @foreach(App\Models\Therapist::orderBy('full_name','ASC')->get() as $item)
                                            <option value=" {{$item->id}}" {{ $item->id == $data->therapist_id ? "selected" : "" }}>{{$item->full_name}}</option>
                                            @endforeach
                                        </select>
                                        <input type="hidden" name="id" value="{{$data->id}}">
                                        <input type="hidden" name="provider_category" id="provider_category" value="{{$data->therapist->provider_category_id}}">
                                    </div>
                                </div>
                                <div class=" col-12 col-md-4 col-xl-4">
                                    <div class="form-group local-forms">
                                        <label>Break Time(in min) <span class="login-danger">*</span></label>
                                        <input class="form-control" required name="break_time" type="text" value="{{$data->break_duration}}">
                                    </div>
                                </div>
                                <div class=" col-12 col-md-4 col-xl-4">
                                    <div class="form-group local-forms">
                                        <label>Duration(in min) <span class="login-danger">*</span></label>
                                        <input class="form-control" required name="duration" type="text" value="{{$data->call_duration}}">
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-heading">
                                            <h4>Set Available Slots</h4>
                                        </div>
                                    </div>
                                </div>

                                <div class="card-body">
                                    <div class="table-responsive">
                                        <div class="table-wrapper">
                                            <table class="table">
                                                <tbody>
                                                    @foreach(days() as $day)
                                                    <tr class="default">
                                                        <th style=" background: #dee0f0;border-bottom: 1px solid #cac4c4;">{{$day}}
                                                            <a href="javascript:void(0);" data-value="{{$data->id}}" data-id="{{$day}}" title="Add Slot" class="btn btn-primary add_slot ms-2">Add Slot</a>

                                                        </th>
                                                        <!-- <th style=" background: #dee0f0;    border-bottom: 1px solid #000;">
                                                            <a href="javascript:void(0);" data-value="{{$data->id}}" data-id="{{$day}}" title="Add Slot" class="btn btn-primary add_slot ms-2">Add Slot</a>
                                                        </th> -->
                                                    </tr>
                                                    @php
                                                    $flag=0;
                                                    foreach($data->workingHours as $key=>$item){
                                                    if($day==$item->day){
                                                    $flag++;
                                                    }
                                                    }

                                                    @endphp
                                                    @if($flag==0)
                                                    <tr>
                                                        <!-- <td>Unavailable</td> -->
                                                        <td>
                                                            <table class="table">
                                                                <thead>
                                                                    <tr>
                                                                        <th>Start Time</th>
                                                                        <th>End Time</th>
                                                                        <th>Remove</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody id="slot_for_{{$day}}">

                                                                </tbody>
                                                            </table>
                                                        </td>

                                                    </tr>
                                                    @else
                                                    <tr>
                                                        <td>
                                                            <table class="table">
                                                                <thead>
                                                                    <tr>

                                                                        <th>Start Time</th>
                                                                        <th>End Time</th>
                                                                        <th>Remove</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody id="slot_for_{{$day}}">

                                                                    @foreach($data->workingHours as $key=>$item)
                                                                    @if($day==$item->day)
                                                                    <tr class="default" id="slot{{$item->id}}">

                                                                        <td>
                                                                            <div class="time-icon">
                                                                                <input type="hidden" name="slot_id[]" value="{{$item->id}}">
                                                                                <input type="hidden" name="day[]" value="{{$day}}">
                                                                                <input type="text" class="form-control datetimepicker01 starttime" id="start_time_{{$item}}" value="{{$item->start_time}}" name="start_time[]">
                                                                            </div>
                                                                        </td>
                                                                        <td>
                                                                            <div class="time-icon">
                                                                                <input type="text" class="form-control  datetimepicker01 endtime" id="end_time_{{$item}}" value="{{$item->end_time}}" name="end_time[]">
                                                                            </div>
                                                                        </td>
                                                                        <td>
                                                                            <div class="add-group">
                                                                                <a href=" javascript:void(0);" id="remove" data-id="{{$item->id}}" class="remove btn btn-primary ms-2"> <img src="{{asset('assets/img/icons/trash.svg')}}" alt> </a>
                                                                            </div>
                                                                        </td>
                                                                    </tr>


                                                                    @else
                                                                    @continue
                                                                    @endif
                                                                    @endforeach
                                                                </tbody>
                                                            </table>
                                                        </td>
                                                    </tr>

                                                    @endif
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>


                            </div>
                            <div class="row">
                                <div class="col-12">
                                    <div class="doctor-submit text-end">
                                        <button type="submit" class="btn btn-primary submit-form me-2">Save</button>
                                        <button type="submit" class="btn btn-primary cancel-form">Cancel</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        $('body').on('click', '#addMoreTime', function(e) {
            e.preventDefault();
            var day = $(this).data('value');
            var therapist = $('#provider').val();
            $("#js-loader").fadeIn();
            $.ajax({
                url: "{{ route('admin.addMoreTime-html') }}",
                method: "GET",
                data: {
                    'day': day,
                    'therapist_id': therapist
                },
                success: function(result) {
                    $("#js-loader").fadeOut();
                    $('#day_' + day).append(result);
                }
            });
        });


        $('body').on('click', '.remove_slot', function(e) {
            var day = $(this).data('value');

            $(this).closest("#remove-row-" + day).remove();
            // $('#remove-row').hide('slow');
        });

        // $('body').on('change', '#call_method', function(e) {
        //     $(this).closest("#remove-row").remove();
        //     // $('#remove-row').hide('slow');
        // });

        $('#addSlot').submit(function(e) {
            e.preventDefault();
            var url = $(this).attr("action");
            $("#js-loader").fadeIn();
            let formData = new FormData(this);
            $.ajax({
                type: 'POST',
                url: url,
                data: formData,
                contentType: false,
                processData: false,
                success: function(data) {
                    $("#js-loader").fadeOut();
                    if (data == 1) {
                        toastr.success('Slot Added Successfully');
                        location.reload();
                    } else {
                        toastr.error('Something went Wrong');
                    }
                },
                error: function(err) {
                    // Your Error Message
                    toastr.error(err);
                }
            });
        });



        $('select[name="provider"]').on('change', function() {
            var catId = $(this).val();
            if (catId) {
                $.ajax({
                    url: "{{ route('admin.load-service-html') }}",
                    data: {

                        'id': catId
                    },
                    type: "GET",
                    //  dataType: "json",
                    success: function(data) {
                        $('.select').append(data);

                    }

                })

                $.ajax({
                    url: "{{ route('admin.provider-category') }}",
                    data: {

                        'id': catId
                    },
                    type: "GET",
                    //  dataType: "json",
                    success: function(data) {
                        $('#provider_category').val(data);
                    }

                })
            }
        });

        $('.add_slot').on('click', function() {
            var day = $(this).data('id');
            var slot_id = $(this).data('value');
            $("#js-loader").fadeIn();
            $.ajax({
                url: "{{ route('admin.load-slot-html') }}",
                data: {
                    'day': day,
                    'slot_id': slot_id
                },
                type: "GET",
                success: function(data) {
                    $("#js-loader").fadeOut();
                    // $("#" + day).css("display", "block");
                    $('#slot_for_' + day).append(data);

                }

            })
        });

        $(document).on('click', '.remove', function(e) {
            var id = $(this).data('id');

            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('admin.delete-slot-hour') }}",
                method: "GET",
                data: {
                    'id': id
                },
                success: function(result) {
                    if (result == 1) {
                        toastr.success("Slot Deleted Successfully.");
                    } else {
                        toastr.error("Something went wrong.");
                    }

                    $('#slot' + id).remove();

                }
            });

        });
    </script>
    @endsection