@extends('admin.layout.dashboard-template')
@section('content')
<div class="page-wrapper">
    <div class="content">

        <!-- <div class="page-header">
            <div class="row">
                <div class="col-sm-12">
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item active">Therapist</li>
                    </ul>
                </div>
            </div>
        </div> -->

        <div class="row">
            <div class="col-sm-12">
                <div class="card card-table show-entire">
                    <div class="card-body">

                        <div class="page-table-header mb-2">
                            <div class="row align-items-center">
                                <div class="col">
                                    <div class="doctor-table-blk">
                                        <h3>Therapist</h3>
                                        <div class="doctor-search-blk">
                                            <div class="add-group">
                                                <a href="{{route('admin.add-therapist')}}" class="btn btn-primary add-pluss ms-2"><img src="assets/img/icons/plus.svg" alt></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <div class="table-responsive">
                            <table class="table border-0 custom-table comman-table mb-0" id="therapist_table">
                                <thead>
                                    <tr>
                                        <th>
                                            #
                                        </th>
                                        <th>ACTION</th>
                                        <th>Therapist</th>
                                        <th>Category</th>
                                        <th>Services</th>
                                        <th>Designation</th>
                                        <th>Status</th>

                                    </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="delete_patient" class="modal fade delete-modal" role="dialog">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body text-center">
                    <img src="assets/img/sent.png" alt width="50" height="46">
                    <h3>Are you sure want to delete this ?</h3>
                    <div class="m-t-20"> <a href="#" class="btn btn-white" data-bs-dismiss="modal">Close</a>
                        <button type="submit" class="btn btn-danger" id="delete_item">Delete</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $(function() {
            $('#therapist_table').DataTable({
                processing: true,
                serverSide: true,
                ajax: "{{ route('admin.get-therapist') }}",
                columns: [{
                        data: 'DT_RowIndex',
                        name: 'DT_RowIndex'
                    },
                    {
                        data: 'action',
                        name: 'action',
                        orderable: false,
                        searchable: false
                    },
                    {
                        data: 'therapist',
                        name: 'therapist'
                    },
                    {
                        data: 'category',
                        name: 'category'
                    },
                    {
                        data: 'service',
                        name: 'service'
                    },
                    {
                        data: 'designation',
                        name: 'designation'
                    },
                    {
                        data: 'status',
                        name: 'status'
                    },


                ],
                "select": {
                    'style': 'multi',
                    'selector': 'td:first-child' //only checkbox can select row
                },

            });

        });

        var deleteID;
        $('body').on('click', '#getDeleteId', function() {
            deleteID = $(this).data('id');
        })
        $(document).on('click', '#delete_item', function(e) {
            var id = deleteID;
            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('admin.delete-therapist') }}",
                method: "GET",
                data: {
                    'id': id
                },
                success: function(result) {
                    $('#delete_patient').modal('hide');
                    $('.table').DataTable().ajax.reload();
                    if (result == 1) {
                        toastr.success("Therapist Deleted Successfully.");
                    } else {
                        toastr.error("Something went wrong.");
                    }

                    $('.data-table').DataTable().ajax.reload();

                }
            });

        });

        $(document).on('click', '#status', function(e) {
            var id = $(this).data('id');
            var status = $(this).data('value');
            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('admin.change-therapist-status') }}",
                method: "GET",
                data: {
                    'id': id,
                    'status': status
                },
                success: function(result) {
                    $('#delete_patient').modal('hide');
                    $('.table').DataTable().ajax.reload();
                    if (result == 1) {
                        toastr.success("Status Changed Successfully.");
                    } else {
                        toastr.error("Something went wrong.");
                    }

                    $('.data-table').DataTable().ajax.reload();

                }
            });

        });
    </script>
    @endsection