@extends('admin.layout.dashboard-template')
@section('content')
<div class="page-wrapper">
    <div class="content">



        <div class="row">
            <div class="col-sm-12">
                <div class="card card-table show-entire">
                    <div class="card-body">

                        <div class="page-table-header mb-2">
                            <div class="row align-items-center">
                                <div class="col">
                                    <div class="doctor-table-blk">
                                        <h3>Clients </h3>
                                        <div class="col-auto text-end float-end ms-auto download-grp">

                                            <!-- <div class="add-group"> -->
                                            <a href="{{ route('admin.add-user') }}" class="btn btn-primary add-pluss ms-2"><i class="far fa-plus"></i></a>
                                            <!-- </div>
                                            <div class="add-group"> -->
                                            <!-- <a href="javascript:void(0);" id="deleteMultiple" class="text-muted" data-bs-toggle="modal" data-bs-target="#delete_user"> <span class="badge badge-danger"><i class="far fa-trash-alt"></i></span></a>
                                                <button typr="submit" class="btn btn-danger" id="deleteMultiple" data-bs-dismiss="modal">Yes,
                                                    Delete It</button> -->
                                            <button class="btn btn-danger" title="Delete selected rows" data-bs-toggle="modal" href="#deleteAll"><i class="far fa-trash-alt"></i></button>

                                            <!-- </div> -->
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <div class="table-responsive">
                            <table class="table border-0 custom-table comman-table mb-0" id="user_table">
                                <thead>
                                    <tr>
                                        <th scope="col" style="width: 25px;">
                                            <div class="form-check">
                                                <input class="form-check-input" name="datatablecheckbox" type="checkbox" id="checkAll" value="option">
                                            </div>
                                        </th>

                                        <th>Registration date
                                        </th>
                                        <th>NAME</th>
                                        <th>PHONE</th>
                                        <th>EMAIL</th>
                                        <th>DOB</th>
                                        <th>
                                            PID
                                        </th>
                                        <th>STATUS</th>
                                        <th>ACTION</th>
                                    </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="delete_user" class="modal fade delete-modal" role="dialog">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body text-center">
                    <img src="{{asset('assets/img/sent.png')}}" alt width="50" height="46">
                    <h3>Are you sure want to delete this ?</h3>
                    <div class="m-t-20"> <a href="#" class="btn btn-white" data-bs-dismiss="modal">Close</a>
                        <button type="submit" class="btn btn-danger" id="delete_item">Delete</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="deleteAll" class="modal fade delete-modal" role="dialog">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body text-center">
                    <img src="{{asset('assets/img/sent.png')}}" alt width="50" height="46">
                    <h3>Are you sure want to delete this ?</h3>
                    <div class="m-t-20"> <a href="#" class="btn btn-white" data-bs-dismiss="modal">Close</a>
                        <button type="submit" class="btn btn-danger" id="deleteMultiple">Delete</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $(function() {
            $('#user_table').DataTable({
                processing: true,
                serverSide: true,
                dom: "<'row'<'col-sm-4'l><'col-sm-4'f><'col-sm-4'B>>" +
                    "<'row'<'col-sm-12'tr>>" +
                    "<'row'<'col-sm-5'i><'col-sm-7'p>>",
                ajax: "{{ route('admin.get-user') }}",
                columns: [{

                        data: 'checkbox',
                        name: 'checkbox',
                        orderable: false,
                        searchable: false,
                        'targets': 0,
                        className: 'select-checkbox',
                        'checkboxes': {
                            'selectRow': true
                        }
                    },

                    {
                        data: 'reg_date',
                        name: 'reg_date'
                    },
                    {
                        data: 'name',
                        name: 'name'
                    },
                    {
                        data: 'phone',
                        name: 'phone'
                    },
                    {
                        data: 'email',
                        name: 'email'
                    },
                    {
                        data: 'dob',
                        name: 'dob'
                    },
                    {
                        data: 'pid',
                        name: 'pid'
                    },
                    {
                        data: 'status',
                        name: 'status'
                    },
                    {
                        data: 'action',
                        name: 'action',
                        orderable: false,
                        searchable: false
                    },
                ],
                "select": {
                    'style': 'multi',
                    'selector': 'td:first-child' //only checkbox can select row 
                },
                buttons: [{
                        extend: 'copyHtml5',
                        footer: true
                    },
                    {
                        extend: 'excelHtml5',
                        footer: true
                    },
                    {
                        extend: 'csvHtml5',
                        footer: true
                    },
                    {
                        extend: 'pdfHtml5',
                        footer: true
                    },
                    {
                        extend: 'print',
                        footer: true
                    }
                ]
            });
        });
        var deleteID;
        $('body').on('click', '#getDeleteId', function() {
            deleteID = $(this).data('id');
        })
        $(document).on('click', '#delete_item', function(e) {
            var id = deleteID;
            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token" ]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('admin.delete-user') }}",
                method: "GET",
                data: {
                    'id': id
                },
                success: function(result) {
                    $('#delete_user').modal('hide');
                    $('.table').DataTable().ajax.reload();
                    if (result == 1) {
                        toastr.success("User Deleted Successfully.");
                    } else if (result == 0) {
                        toastr.error("Something went wrong.");
                    } else {
                        toastr.error(result);
                    }
                    $('.table').DataTable().ajax.reload();
                }
            });
        });

        $(document).on('click', '#status', function(e) {
            var id = $(this).data('id');
            var status = $(this).data('value');
            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('admin.change-user-status') }}",
                method: "GET",
                data: {
                    'id': id,
                    'status': status
                },
                success: function(result) {
                    $('.table').DataTable().ajax.reload();
                    if (result == 1) {
                        toastr.success("Status Changed Successfully.");
                    } else {
                        toastr.error("Something went wrong.");
                    }

                    $('.data-table').DataTable().ajax.reload();

                },
                error: function(err) {
                    // Your Error Message
                    toastr.error(err);
                }
            });

        });

        $("#checkAll").click(function() {
            if ($(this).is(':checked')) {
                $('.datatablecheckbox').prop('checked', true);
                $("tr").addClass("selected");
            } else {
                $('.datatablecheckbox').prop('checked', false);
                $("tr").removeClass("selected");
            }
        });

        $("#deleteMultiple").click(function() {
            arr = [];
            var arr = $("input[name='datatablecheckbox[]']:checked").map(function() {
                return this.value;
            }).get();
            $.ajax({
                type: 'GET',
                data: {
                    ids: arr
                },
                url: "{{ route('admin.delete-multiple-user') }}",
                success: function(result) {
                    $('#checkAll').prop('checked', false);

                    $('#deleteAll').modal('hide');
                    $('.table').DataTable().ajax.reload();
                    if (result == 1) {
                        toastr.success("User Deleted Successfully.");
                    } else if (result == 0) {
                        toastr.error("Something went wrong.");
                    } else {
                        toastr.error(result);
                    }
                }
            });
        });
    </script>
    @endsection